Imports Microsoft.VisualBasic
Imports System
Imports System.Drawing
Imports System.ComponentModel
Imports System.Runtime.Serialization

Imports Syncfusion.Windows.Forms.Diagram

Namespace Sample_LinkCmd
	''' <summary>
	''' Summary description for MySymbol.
	''' </summary>
    <Serializable()> _
    Public Class MySymbol : Inherits Group
        Private outerRect As Syncfusion.Windows.Forms.Diagram.Rectangle = Nothing
        Private innerEllipse As Ellipse = Nothing

        Public Sub New()
            '////////////////////////////////////////////////////////////////
            ' Add child nodes to the symbol programmatically
            '////////////////////////////////////////////////////////////////

            ' Add an outer rectangle
            Me.outerRect = New Syncfusion.Windows.Forms.Diagram.Rectangle(0, 0, 120, 80)
            Me.outerRect.Name = "Rectangle"
            Me.outerRect.FillStyle.Type = Syncfusion.Windows.Forms.Diagram.FillStyleType.LinearGradient
            Me.outerRect.FillStyle.ForeColor = System.Drawing.Color.Orange
            Me.outerRect.FillStyle.Color = Color.Orange
            Me.outerRect.ShadowStyle.Visible = True
            Me.AppendChild(outerRect)

            ' Add an inner ellipse
            Me.innerEllipse = New Ellipse(10, 10, 100, 60)
            Me.innerEllipse.Name = "Ellipse"
            Me.AppendChild(innerEllipse)

            Dim lbl As Label = New Label(Me, "Hello World")
            lbl.ReadOnly = True
            Me.Labels.Add(lbl)
        End Sub

    End Class
End Namespace
